using System;
namespace Sudar_brojeva
{
    internal class Program
    {
        static long FormirajNoviBroj(long broj1, long broj2)
        {
            long noviBroj = 0;
            long cifre1, cifre2;
            int i = 1;
            while (broj1 > 0 && broj2 > 0)
            {
                cifre1 = broj1 % 10;
                cifre2 = broj2 % 10;
                if (cifre1 > cifre2) noviBroj += i * cifre1;
                else if (cifre1 < cifre2) noviBroj += i * cifre2;
                else { noviBroj += i * 11 * cifre1; i *= 10; }
                broj1 = (broj1 - cifre1) / 10;
                broj2 = (broj2 - cifre2) / 10;
                i *= 10;
            }
            if(broj1 != 0)
            {
                noviBroj += broj1 * i;
            }
            else if(broj2 != 0)
            {
                noviBroj += broj2 * i;
            }
            return noviBroj;
        }
        static void Main(string[] args)
        {
            string broj1, broj2;
            broj1 = Console.ReadLine();
            broj2 = Console.ReadLine();
            long prviBroj, drugiBroj;
            prviBroj = long.Parse(broj1);
            drugiBroj = long.Parse(broj2);
            long noviBroj = FormirajNoviBroj(prviBroj, drugiBroj);
            Console.WriteLine(noviBroj);
        }
    }
}